Subject: Re: bug#51051: Restore longlines.el to non-obsolete status

From: Stefan Kangas <[email-masked]>
Date: Wed, 6 Oct 2021 19:16:00 -0400

unarchive 18589
reopen 18589
forcemerge 18589 51051
tags 18589 - notabug
thanks

Lars Ingebrigtsen <[email-masked]> writes:

> Phil Sainty <[email-masked]> writes:
>
>> As longlines.el is still valuable for reasons unrelated to
>> visual-line-mode, I'd like it to be restored to non-obsolete
>> status.
>
> I think that makes sense.  Does anybody else object?

There was a previous discussion in Bug#18589 (now merged):

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=18589

It seems like Stefan Monnier's take was this:

> Recently someone pointed out that using longlines-mode in a buffer that
> contain *very* long lines makes it possible to view&edit the buffer
> without suffering unbearable performance problems.  So maybe in this
> sense it's not completely obsolete.

And:

> I wouldn't mind de-obsoleting it.

The last message in Bug#18589 links here:

    https://lists.gnu.org/archive/html/emacs-devel/2013-12/msg00475.html

(I'm copying in Stefan and Glenn, in case they have something to add.)